Package picard.sam.markduplicates.util

# Class SamRecordWithOrdinalAndSetDuplicateReadFlag

java.lang.Object
htsjdk.samtools.util.SamRecordWithOrdinal
picard.sam.markduplicates.util.SamRecordWithOrdinalAndSetDuplicateReadFlag

public class SamRecordWithOrdinalAndSetDuplicateReadFlag extends htsjdk.samtools.util.SamRecordWithOrdinal
This class sets the duplicate read flag as the result state when examining sets of records.

## Constructor Summary

Constructors
Constructor
Description
`SamRecordWithOrdinalAndSetDuplicateReadFlag()`
`SamRecordWithOrdinalAndSetDuplicateReadFlag(htsjdk.samtools.SAMRecord record, long recordIndex)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setResultState(boolean resultState)`

### Methods inherited from class htsjdk.samtools.util.SamRecordWithOrdinal

`getRecord, getRecordOrdinal, setRecord, setRecordOrdinal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SamRecordWithOrdinalAndSetDuplicateReadFlag

public SamRecordWithOrdinalAndSetDuplicateReadFlag()

### SamRecordWithOrdinalAndSetDuplicateReadFlag

public SamRecordWithOrdinalAndSetDuplicateReadFlag(htsjdk.samtools.SAMRecord record, long recordIndex)

## Method Details

### setResultState

public void setResultState(boolean resultState)

Specified by:
  `setResultState` in class `htsjdk.samtools.util.SamRecordWithOrdinal`